From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rspec-mocks/
Date: Thu, 9 May 2024 04:59:51 +0000 (UTC) [thread overview]
Message-ID: <1715230568.e385b37d110a7b03f050911ab0a3f69852f4ff79.graaff@gentoo> (raw)
commit: e385b37d110a7b03f050911ab0a3f69852f4ff79
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu May 9 04:56:08 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu May 9 04:56:08 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e385b37d
dev-ruby/rspec-mocks: add 3.13.1
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/rspec-mocks/Manifest | 1 +
dev-ruby/rspec-mocks/rspec-mocks-3.13.1.ebuild | 54 ++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/dev-ruby/rspec-mocks/Manifest b/dev-ruby/rspec-mocks/Manifest
index f8b1647486ee..f819c142d9ea 100644
--- a/dev-ruby/rspec-mocks/Manifest
+++ b/dev-ruby/rspec-mocks/Manifest
@@ -1,3 +1,4 @@
DIST rspec-mocks-3.12.6-git.tgz 207213 BLAKE2B 0b8bded9c6a04bb79910784e67f97028b9935b9e20e6934c3d1cccdf7b981b386a8dfb2e5e0c1f58fbbc2006fb68dabb108444b0f284b7f7f3b39bb73cb01cdc SHA512 f11ef99bdef109e3b332e0cc79e0d9c46db906b0c939ec6a89782219cea03e6282fe867212caaf2bf2eb272ed7ae1f4fe059a5626d131141925f731fcda3e91d
DIST rspec-mocks-3.12.7-git.tgz 208127 BLAKE2B 86ef82c47ae7ef4992c6394718ee29f91fde70967b7f8ba3101c6f0233ab32be22c9e0e69e9041e94b4e5a587e3e936f89a14dbf464c2bdd8f6ce7d827cc5448 SHA512 c168eb653b585a37052870521e88be0723eba1b2f7f373a04557813e75a62c67448577809fbe1c0d04b21311b29c9874ed7509800bc7c05cb618f208066c8eac
DIST rspec-mocks-3.13.0-git.tgz 208594 BLAKE2B c84b606094f8aba49cb32c07caedccaf4592110b3dbade60990c5bc7e6927576b57acd071ae43171328cb47ab9591aacef341389f3dcd6aa671f69511a5ce54a SHA512 5d7f52ac3594b37a87d377fcd2300fa1811490fff392ed0bbb4a6de471ae5cc627a7f9e7e7c351031558b87f78e3fcc2fff77ba2fffbb838972a9eb28b6c53da
+DIST rspec-mocks-3.13.1-git.tgz 208640 BLAKE2B 5f8fa06c3058b5b2cc405b7c309377697cb274587258958312eb7d534deaf3cf3f84b938bc88806d58cb9b8b992116ffbbd87f9c9d45225960e8428895525dbd SHA512 f55083102dfac62a74fe1b11103ac41151b82461c3006cc59db038c9aeaa27bf97e6ae4e5cf97c374d0bbbd1ce300089d0c8d821fac9cf6cf9fe582e84642b7b
diff --git a/dev-ruby/rspec-mocks/rspec-mocks-3.13.1.ebuild b/dev-ruby/rspec-mocks/rspec-mocks-3.13.1.ebuild
new file mode 100644
index 000000000000..113c3889a987
--- /dev/null
+++ b/dev-ruby/rspec-mocks/rspec-mocks-3.13.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+#RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="rspec-mocks.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-mocks"
+SRC_URI="https://github.com/rspec/${PN}/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+SUBVERSION="$(ver_cut 1-2)"
+
+ruby_add_rdepend "=dev-ruby/rspec-support-${SUBVERSION}*
+ >=dev-ruby/diff-lcs-1.2.0 =dev-ruby/diff-lcs-1*"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/rspec-core-3.12.0:3
+ >=dev-ruby/rspec-expectations-2.99.0:3
+ )"
+
+all_ruby_prepare() {
+ # Don't set up bundler: it doesn't understand our setup.
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+
+ # Remove the Gemfile to avoid running through 'bundle exec'
+ rm Gemfile || die
+
+ # And consequently avoid specs using bundler. This also avoids a
+ # circular dependency on aruba.
+ rm -f spec/integration/rails_support_spec.rb spec/support/aruba.rb || die
+
+ # Remove .rspec options to avoid dependency on newer rspec when
+ # bootstrapping.
+ rm .rspec || die
+
+ sed -i -e '1irequire "spec_helper"' spec/rspec/mocks/any_instance_spec.rb || die
+
+ sed -i -e 's/git ls-files --/find */' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
next reply other threads:[~2024-05-09 4:59 UTC|newest]
Thread overview: 164+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-09 4:59 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-14 4:59 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rspec-mocks/ Jakov Smolić
2024-11-14 4:00 Sam James
2024-11-14 4:00 Sam James
2024-11-14 3:39 Sam James
2024-11-14 3:39 Sam James
2024-11-14 2:49 Sam James
2024-10-04 6:12 Hans de Graaff
2024-06-02 7:09 Sam James
2024-06-02 7:09 Sam James
2024-06-02 7:09 Sam James
2024-06-02 7:09 Sam James
2024-06-02 7:09 Sam James
2024-02-17 7:03 Hans de Graaff
2024-02-08 14:24 Hans de Graaff
2023-12-30 7:43 Hans de Graaff
2023-12-30 7:43 Hans de Graaff
2023-08-29 14:26 Hans de Graaff
2023-08-26 15:39 Hans de Graaff
2023-08-20 8:11 Sam James
2023-08-19 7:42 Arthur Zamarin
2023-08-19 6:35 Sam James
2023-08-19 6:07 Sam James
2023-07-14 5:46 Arthur Zamarin
2023-07-12 4:27 Hans de Graaff
2023-06-30 6:09 Hans de Graaff
2023-04-01 9:00 Hans de Graaff
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-28 20:37 Sam James
2023-03-10 9:08 Hans de Graaff
2023-01-17 8:36 Hans de Graaff
2023-01-17 8:36 Hans de Graaff
2023-01-13 13:50 Sam James
2023-01-09 2:15 Sam James
2023-01-09 1:28 Sam James
2023-01-08 17:00 Arthur Zamarin
2023-01-08 17:00 Arthur Zamarin
2023-01-08 12:13 Jakov Smolić
2023-01-08 12:13 Jakov Smolić
2023-01-08 8:00 Hans de Graaff
2022-12-12 6:39 Hans de Graaff
2022-10-29 6:27 Hans de Graaff
2022-10-26 5:37 Hans de Graaff
2022-06-24 7:25 Hans de Graaff
2022-04-02 5:56 Hans de Graaff
2022-03-31 5:39 Hans de Graaff
2022-02-11 7:43 Hans de Graaff
2022-02-06 6:42 Hans de Graaff
2022-01-15 6:45 Hans de Graaff
2022-01-15 6:45 Hans de Graaff
2021-11-24 7:29 Hans de Graaff
2021-08-03 11:51 Marek Szuba
2021-08-02 21:48 Marek Szuba
2021-07-20 5:18 Hans de Graaff
2021-07-17 5:00 Sam James
2021-07-15 22:18 Sergei Trofimovich
2021-07-08 7:22 Sergei Trofimovich
2021-07-07 14:22 Sergei Trofimovich
2021-07-04 5:52 Hans de Graaff
2021-07-04 5:52 Hans de Graaff
2021-04-12 16:41 Sam James
2021-04-11 15:54 Sam James
2021-03-21 9:45 Sergei Trofimovich
2021-03-12 19:27 Sergei Trofimovich
2021-03-09 11:29 Sam James
2021-03-09 11:23 Sam James
2021-03-09 11:20 Sam James
2021-03-09 6:51 Hans de Graaff
2021-01-30 7:04 Hans de Graaff
2021-01-03 8:05 Hans de Graaff
2020-11-14 6:53 Hans de Graaff
2020-11-06 3:21 Sam James
2020-09-09 9:28 Hans de Graaff
2020-01-13 19:24 Hans de Graaff
2020-01-12 7:16 Hans de Graaff
2020-01-01 6:48 Hans de Graaff
2019-11-02 7:13 Hans de Graaff
2019-10-10 5:42 Hans de Graaff
2019-09-13 17:29 Mikle Kolyada
2019-08-24 21:24 Sergei Trofimovich
2019-08-23 16:33 Agostino Sarubbo
2019-08-23 13:11 Agostino Sarubbo
2019-08-23 10:00 Agostino Sarubbo
2019-08-22 22:03 Agostino Sarubbo
2019-08-22 22:01 Agostino Sarubbo
2019-08-22 18:32 Sergei Trofimovich
2019-08-22 11:48 Agostino Sarubbo
2019-08-21 21:07 Agostino Sarubbo
2019-08-19 8:02 Hans de Graaff
2019-06-14 4:39 Hans de Graaff
2019-03-28 20:03 Mikle Kolyada
2019-01-18 11:12 Hans de Graaff
2019-01-05 7:58 Hans de Graaff
2018-12-11 11:34 Hans de Graaff
2018-11-24 10:39 Sergei Trofimovich
2018-11-24 8:09 Hans de Graaff
2018-11-18 10:38 Sergei Trofimovich
2018-11-07 22:59 Sergei Trofimovich
2018-10-15 18:12 Markus Meier
2018-10-11 18:49 Tobias Klausmann
2018-09-24 4:53 Hans de Graaff
2018-09-24 1:50 Thomas Deutschmann
2018-09-23 10:05 Sergei Trofimovich
2018-09-22 6:11 Hans de Graaff
2018-09-22 6:02 Hans de Graaff
2018-09-19 20:27 Sergei Trofimovich
2018-08-24 1:40 Thomas Deutschmann
2018-08-11 18:55 Sergei Trofimovich
2018-08-05 6:42 Hans de Graaff
2018-07-29 10:35 Sergei Trofimovich
2018-07-23 13:09 Tobias Klausmann
2018-07-05 18:32 Sergei Trofimovich
2018-05-15 19:16 Markus Meier
2018-04-25 6:08 Sergei Trofimovich
2018-04-21 22:38 Aaron Bauman
2018-03-24 8:35 Hans de Graaff
2018-02-10 12:56 Jeroen Roovers
2018-01-24 5:34 Hans de Graaff
2017-12-23 11:17 Markus Meier
2017-12-20 22:16 Sergei Trofimovich
2017-12-03 8:31 Hans de Graaff
2017-12-01 22:57 Sergei Trofimovich
2017-11-30 22:45 Sergei Trofimovich
2017-10-22 21:42 Tobias Klausmann
2017-10-22 20:33 Thomas Deutschmann
2017-10-21 10:20 Sergei Trofimovich
2017-10-21 9:58 Hans de Graaff
2017-10-21 9:18 Sergei Trofimovich
2017-10-21 5:47 Hans de Graaff
2017-08-23 21:43 Sergei Trofimovich
2017-06-29 20:54 Sergei Trofimovich
2017-06-28 20:49 Sergei Trofimovich
2017-06-25 7:58 Hans de Graaff
2017-05-06 5:10 Hans de Graaff
2017-03-29 2:06 Jeroen Roovers
2017-02-27 17:01 Michael Weber
2017-01-14 8:52 Hans de Graaff
2017-01-02 19:32 Markus Meier
2016-12-25 6:04 Aaron Bauman
2016-12-15 9:39 Tobias Klausmann
2016-12-09 6:41 Hans de Graaff
2016-07-09 5:29 Hans de Graaff
2016-07-08 13:48 Agostino Sarubbo
2016-07-08 10:30 Agostino Sarubbo
2016-07-03 5:49 Hans de Graaff
2016-04-19 21:38 Manuel Rüger
2016-03-14 20:49 Hans de Graaff
2016-03-07 21:14 Hans de Graaff
2016-03-07 20:21 Hans de Graaff
2016-03-06 19:08 Hans de Graaff
2016-02-12 12:36 Fabian Groffen
2016-02-05 16:23 Tobias Klausmann
2016-02-04 19:31 Tobias Klausmann
2016-01-17 18:24 Agostino Sarubbo
2016-01-11 19:38 Hans de Graaff
2016-01-02 16:29 Jeroen Roovers
2016-01-02 15:27 Jeroen Roovers
2015-11-24 20:33 Markus Meier
2015-11-18 8:57 Agostino Sarubbo
2015-11-17 9:59 Agostino Sarubbo
2015-11-14 10:13 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1715230568.e385b37d110a7b03f050911ab0a3f69852f4ff79.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox